Subject: Re: qla_wxyz pci_set_mwi question

From: Matthew Wilcox <[email-masked]>
Date: Thu, 12 Apr 2007 14:04:38 -0600

On Thu, Apr 12, 2007 at 12:37:13PM -0700, Andrew Vasquez wrote:
> On Thu, 12 Apr 2007, Matthew Wilcox wrote:
> > Why should it fail?  If there's a platform which can't support a
> > cacheline size that the qla2xyz card can handle, it should be able to
> > happily fall back to doing plain writes instead of MWIs.  IMO, it should
> > just call pci_set_mwi() and ignore the result.
> 
> I believe there were some erratas on some ISP2xxx chips where MWI
> needed to be set for proper operation.  I'll go back, verify and
> update the patch accordingly.

Hmm.  The thing is that pci_set_mwi() returns success on machines where
MWI is disabled (currently only PPC64).  Perhaps it needs to fail
instead.